## partman-base 105

=== Makefile ===
CFLAGS=-Wall -Os -D_GNU_SOURCE
LIBS=-lparted -ldl

all: parted_server parted_devices stralign

parted_server: parted_server.c
	$(CC) $(CFLAGS) $(LIBS) parted_server.c -o parted_server

parted_devices: parted_devices.c
	$(CC) $(CFLAGS) $(LIBS) parted_devices.c -o parted_devices

stralign: stralign.c
	$(CC) $(CFLAGS) stralign.c -o stralign

clean:
	rm -f parted_server parted_devices stralign

.PHONY: clean

## partman-base 70ubuntu3

=== debian/changelog ===
partman-base (70ubuntu3) breezy; urgency=low

  * Backport from trunk:
    - Stop USES_EXTENDED command from segfaulting if called on a device
      without a partition table (e.g. a DVD-RW).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  2 Oct 2005 20:38:56 +0100

partman-base (70ubuntu2) breezy; urgency=low

  * ped_disk_get_max_partition_geometry returns NULL if the partition's
    current geometry is invalid in some way. Deal with this in
    GET_RESIZE_RANGE and GET_VIRTUAL_RESIZE_RANGE by just claiming that the
    partition cannot be enlarged (closes: Ubuntu #13250).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 15:22:17 +0100

partman-base (70ubuntu1) breezy; urgency=low

  * Resynchronise with Debian to pick up POTFILES.in fix.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Sep 2005 22:56:04 +0100

partman-base (70) unstable; urgency=low

  * All ADS arm boards use msdos partition tables by default.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 09:53:09 -0400

partman-base (69ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2005 15:25:43 +0100

partman-base (69) unstable; urgency=low

  [ Frans Pop ]
  * Apply patch from Max Vozeler adding loop device support
    (closes: #320443).

  [ Colin Watson ]
  * Rename to partman-base, to free up the name 'partman' for use by a .deb
    in the future. Provides: partman for now.
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Aug 2005 15:16:15 +0100

partman (68ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 17:03:24 +0100

partman (68) unstable; urgency=low

  [ Fabio M. Di Nitto ]
  * If using udev, ensure that its queue is flushed before attempting any
    format operations.

  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 17:16:26 +0300

partman (67) unstable; urgency=low

  [ Joey Hess ]
  * Removed no_media check; disk-detect does this check now, and
    lets the user load modules etc if a disk is not found.
  
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Catalan (ca.po) by Guillem Jover
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Italian (it.po) by Giuseppe Sacco
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Jun 2005 10:40:40 -0400

partman (66ubuntu2) breezy; urgency=low

  * Ensure that the udev queue is flushed before attempting any format
    operation.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 08 Jul 2005 10:33:02 +0200

partman (66ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 May 2005 14:11:58 +0100

partman (66) unstable; urgency=low

  * Colin Watson
    - definitions.sh (humandev): Fix SCSI partition output.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po)
    - Hebrew (he.po) by Lior Kaplan
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 May 2005 12:41:34 +0100

partman (65ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 May 2005 09:56:52 +0100

partman (65) unstable; urgency=low

  * Colin Watson
    - Constify 'name' arguments to many functions.
    - devices[index_of_name(name)] has unspecified results, as
      index_of_name() may change the devices pointer; this caused
      parted_server to crash on OPEN when compiled with gcc 4.0. Insert a
      sequence point to fix this (closes: #308577).
  * Updated translations:
    - German (de.po) by Herbert Straub
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Spanish (es.po) by Enrique Matias Sanchez
    - Portuguese (Brazil) (pt_BR.po) by Carlos Eduardo Pedroza Santiviago
    - Romanian (ro.po) by Ovidiu Damian
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 May 2005 09:48:56 +0100

partman (64ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Apr 2005 17:50:31 +1000

partman (64) unstable; urgency=low

  * Joey Hess
    - Applied patch from Eugeniy Meshcheryakov to prevent partman from trying
      to create partition tables on disks of type "loop", which is used for
      LVM LVs and MD devices, which cannot be successfully partitioned. 
      Closes: #303914
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Apr 2005 15:48:10 -0400

partman (63) unstable; urgency=low

  * Matt Kraai
    - Fix the spelling of "file system".
    - Use the US English spelling of "journaling".
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Feb 2005 22:13:59 -0500

partman (62) unstable; urgency=medium

  * Joshua Kwan
    - Call ped_disk_commit_to_dev after creating filesystem to fix sparc
      breakage. closes: #283303
  * Anton Zinoviev


=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.6-dev (>= 1.6.12)
Standards-Version: 3.5.6

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, libparted1.6-udeb, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

## partman-base 78ubuntu4

=== debian/changelog ===
partman-base (78ubuntu4) dapper; urgency=low

  * If PARTMAN_UPDATE_BEFORE_CONFIRM is set, run update.d scripts before
    finishing choose_partition. This allows Ubiquity to feed information
    into /var/lib/partman/devices/ and have it work correctly (see Malone
    #37872).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 May 2006 14:41:47 +0100

partman-base (78ubuntu3) dapper; urgency=low

  * Close all file descriptors other than 0, 1, and 2 on startup, so that we
    don't hold a pipe to debconf open.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Apr 2006 00:03:55 +0100

partman-base (78ubuntu2) dapper; urgency=low

  * Backport from trunk (Anton Zinoviev):
    - Raise the Debconf priority of the messages of libparted -- give the
      errors critical priority (was high), warnings with high (was medium)
      and information with medium (was low).  Thanks to Joey Hess,
      closes: #290929.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Apr 2006 12:07:35 +0100

partman-base (78ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2006 15:44:01 +0000

partman-base (78) unstable; urgency=low

  [ Martin Michlmayr ]
  * Move default_visuals from 59 to 58 so ext2r0_visuals can run after
    this script.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 16 Jan 2006 21:42:12 +0000

partman-base (77) unstable; urgency=low

  [ Colin Watson ]
  * The new update-dev that handles udev has been around for a while, so
    drop old calls to udevstart/udevsynthesize.
  * Use log-output when calling update-dev.

  [ Martin Michlmayr ]
  * Add a definition for mipsel/bcm947xx (msdos).
  * Add a definition for arm/nslu2 and armeb/nslu2 (msdos).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 14 Jan 2006 23:01:07 +0000

partman-base (76ubuntu2) dapper; urgency=low

  * definitions.sh (humandev): Handle /dev/hd* and /dev/sd*.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 Jan 2006 12:05:14 +0000

partman-base (76ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Nov 2005 21:29:13 +0000

partman-base (76) unstable; urgency=low

  * Unhardcode path to update-dev to allow a smoother transition to a
    generic /bin/update-dev that handles udev too.

  [ Updated translations ]
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Nov 2005 21:06:32 +0000

partman-base (75) unstable; urgency=low

  [ Colin Watson ]
  * Clarify partman/confirm to indicate that if you say no you can make
    further changes manually (closes: #329405).
  * Exclude CD/DVD drives from the output of parted_devices.
  * If udevstart is missing, try udevsynthesize instead to try to get udev
    to create pending device nodes.

  [ Sven Luther ]
  * Adapted to chrp_rs6k -> chrp_ibm transition.

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Nov 2005 12:23:19 +0000

partman-base (74ubuntu2) dapper; urgency=low

  * Backport from trunk (closes: Ubuntu #19635):
    - Exclude CD/DVD drives from the output of parted_devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Nov 2005 20:06:31 +0000

partman-base (74ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Oct 2005 14:45:56 +0100

partman-base (74) unstable; urgency=low

  * ped_disk_get_max_partition_geometry returns NULL if the partition's
    current geometry is invalid in some way. Deal with this in
    GET_RESIZE_RANGE and GET_VIRTUAL_RESIZE_RANGE by just claiming that the
    partition cannot be enlarged (closes: Ubuntu #13250).
  * Remove Standards-Version:, not applicable to udebs.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Oct 2005 14:35:43 +0100

partman-base (73) unstable; urgency=low

  [ Joey Hess ]
  * Removed all the fancy utf-8 symbols that noone understood (the
    tamagotchi, black smiley, white smiley, and lightning bolt).
    Just use the same letter abbrevs used in non-utf mode.
    Closes: #285350

  [ Colin Watson ]
  * Stop USES_EXTENDED command from segfaulting if called on a device
    without a partition table (e.g. a DVD-RW).
  * Use 'rm -f' rather than more awkward test-then-remove constructions.
  * Add stop_parted_server and restart_partman functions to reduce
    duplication elsewhere.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bengali (bn.po) by Baishampayan Ghose
  * German (de.po) by Jens Seidel
  * Korean (ko.po) by Changwoo Ryu
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Nynorsk (nn.po)
  * Romanian (ro.po) by Eddy Petrisor
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Oct 2005 14:29:52 +0100

partman-base (72) unstable; urgency=low

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by Greek Translation Team
  * Galician (gl.po) by Jacobo Tarrio


## partman-base 90ubuntu9

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.7-dev (>= 1.7.1-1)

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.15)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

## partman-base 105

=== debian/changelog ===
partman-base (105) unstable; urgency=low

  * Correct mode in mkfifo call. Thanks to Ben Hutchings. Closes: #412769.
  * Fix the way libparted is called when resizing partitions with a file
    system that libparted does not support. Many thanks to Ben Hutchings
    for the patch. Closes: #380226.

 -- Frans Pop <fjp@debian.org>  Wed,  7 Mar 2007 22:47:26 +0100

partman-base (104) unstable; urgency=low

  [ Joey Hess ]
  * Add support for armel.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 18:17:46 +0100

partman-base (103) unstable; urgency=low

  * On mips the kernel can report a disk as /dev/ide/.../lun0/part. Work
    around this in definitions.sh by recognizing a partition without partition
    number as a disk. See #404950.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Esperanto (eo.po) by Serge Leblanc
  * Latvian (lv.po) by Aigars Mahinovs
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Mon, 29 Jan 2007 04:26:41 +0100

partman-base (102) unstable; urgency=low

  [ Fabio M. Di Nitto ]
  * parted_server.c: make sure to clear sigaction structs to fix a runtime
    Illegal Instruction as see on Niagara machines.
    From David S. Miller:
    "You need to clear out the sig_action structure, otherwise
     you leave crap in sa->sa_flags, in particular what can happen
     is that SA_ONSTACK gets set which is what causes the program
     to crash since the default signal stack value is zero."

 -- Frans Pop <fjp@debian.org>  Thu, 11 Jan 2007 15:15:58 +0100

partman-base (101) unstable; urgency=low

  * parted_server.c: move free(s_fstype) after last usage in two functions.
    This may fix #405579. Thanks to Ulrich Teichert for spotting the error.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Mon,  8 Jan 2007 17:59:08 +0100

partman-base (100) unstable; urgency=low

  * parted_devices: Consider /dev/fd* as floppy devices too.
  * parted_server: Fix segfault if GET_MAX_PRIMARY is called on a disk where
    ped_disk_new failed.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Kurdish (ku.po) by rizoye-xerzi
  * Slovenian (sl.po) by Matej Kovačič
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Dec 2006 17:20:01 +0000

partman-base (99) unstable; urgency=low

  [ Colin Watson ]
  * Add a GET_MAX_PRIMARY command to find out how many primary partitions
    are allowed on a disk; this is useful for some possible autopartitioning
    sanity checks.

  [ Frans Pop ]
  * Run partman-auto init scripts separately to avoid progress bar conflicts.
    partman-auto is mostly interactive and should have the freedom to run
    progress bars.

  [ Colin Watson ]
  * Skip choose_partition if an auto.d script exits with an exit code
    greater than 100 (except for 255, which backs up to the main menu).

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Fri,  8 Dec 2006 01:09:27 +0100

partman-base (98) unstable; urgency=low

  [ Thiemo Seufer ]
  * definitions.sh: Add support for qemu-mips32.

  [ Joey Hess ]
  * parted_devices: Don't list floppy devices.

  [ Martin Michlmayr ]
  * Remove the obsolete definition for nslu2.

  [ Colin Watson ]
  * definitions.sh: Coalesce multiple sed calls for efficiency.
  * definitions.sh: Initialise formatted_previously at the right time.
  * init.d/update_partitions: Restore IFS even if a disk has no partitions.
    Fixes missing substitution into confirmation question.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:14:13 +0100

partman-base (97) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * German (de.po) by Jens Seidel
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Romanian (ro.po) by Eddy Petrișor
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 15:51:03 +0200

partman-base (96) unstable; urgency=low

  [ Frans Pop ]
  * definitions.sh: quote variable to avoid syntax error.

  [ Colin Watson ]
  * init.d/parted: Don't process /dev/md*; partman-md will take care of that
    later, and doing it here means that we sometimes end up with duplicate
    /dev/md0 versus /dev/md/0 entries in the partition tree.

  [ Updated translations ]
  * Icelandic (is.po) by David Steinn Geirsson


=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.7-dev (>= 1.7.1-1)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-partitioning, partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.15)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

PACKAGE=partman-base

PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab

MENUITEMNUM=42

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -f `find . -name '*~'`
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	debian/install-rc choose_partition
	debian/install-rc storage_device
	debian/install-rc active_partition
	debian/install-rc free_space
	debian/install-rc init.d
	debian/install-rc undo.d
	debian/install-rc commit.d
	debian/install-rc finish.d
	debian/install-rc update.d
	debian/install-rc valid_visuals.d
	dh_install visual.d lib/partman
	dh_install definitions.sh lib/partman
	dh_install partman bin
	dh_install stralign bin
	dh_install parted_devices bin
	dh_install parted_server bin
	rm -rf `find debian/$(PACKAGE) -name .svn`

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	cp debian/isinstallable debian/${PACKAGE}/DEBIAN/
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM) -Vprovides='$(PROVIDES)'
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## partman-base 105ubuntu3

=== debian/changelog ===
partman-base (105ubuntu3) feisty; urgency=low

  * partman-commit: If PARTMAN_ALREADY_CHECKED is set, don't run check.d
    scripts again (LP: #100009).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Apr 2007 13:44:56 +0100

partman-base (105ubuntu2) feisty; urgency=low

  * definitions.sh (humandev): Handle /dev/md* as well as /dev/md/*.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Mar 2007 13:30:36 +0100

partman-base (105ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.
    - Use GPT label by default on Intel Macs.
    - Add support for /lib/partman/check.d scripts, intended to contain
      sanity checks run before changes are committed. (These checks were
      formerly typically in /lib/partman/finish.d.)
    - Use MS-DOS label by default on PS3 systems.
    - Add an IS_BUSY command to check whether a partition is busy (i.e.
      mounted).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Mar 2007 11:58:22 +0000

partman-base (100ubuntu7) feisty; urgency=low

  * Add an IS_BUSY command to check whether a partition is busy (i.e.
    mounted).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Mar 2007 15:13:25 +0000

partman-base (100ubuntu6) feisty; urgency=low

  * Prevent an infinite loop if (for some reason) check.d fails immediately
    after autopartitioning (LP: #89004).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Mar 2007 13:46:42 +0000

partman-base (100ubuntu5) feisty; urgency=low

  * Use MS-DOS label by default on PS3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 19:18:34 +0000

partman-base (100ubuntu4) feisty; urgency=low

  * Add support for /lib/partman/check.d scripts, intended to contain sanity
    checks run before changes are committed. (These checks were formerly
    typically in /lib/partman/finish.d.)
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Feb 2007 18:21:12 +0000

partman-base (100ubuntu3) feisty; urgency=low

  * Use GPT label by default on Intel Macs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Jan 2007 10:53:56 +0000

partman-base (100ubuntu2) feisty; urgency=low

  [Fabio M. Di Nitto]  
  * parted_server.c: make sure to clear sigaction structs to fix a runtime
    Illegal Instruction as see on Niagara machines.
    From David S. Miller:
    "You need to clear out the sig_action structure, otherwise
     you leave crap in sa->sa_flags, in particular what can happen
     is that SA_ONSTACK gets set which is what causes the program
     to crash since the default signal stack value is zero."

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 11 Jan 2007 07:04:03 +0100

partman-base (100ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Dec 2006 10:13:25 +0000

partman-base (99ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Dec 2006 14:07:07 +0000

partman-base (97ubuntu2) feisty; urgency=low

  * choose_partition/finish/do_option: Remove no-longer-used Ubiquity
    integration; this has moved elsewhere.
  * partman: Back up to the main menu on exit code 255 from auto.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  6 Dec 2006 10:10:39 +0000

partman-base (97ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - definitions.sh: Initialise formatted_previously at the right time.
    - init.d/update_partitions, partman-commit: Restore IFS even if a disk
      has no partitions.
    - Close all file descriptors other than 0, 1, and 2 on startup, so that
      we don't hold a pipe to debconf open.
    - partman: Move autopartitioning scripts to an auto.d directory.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Nov 2006 12:37:24 -0800

partman-base (90ubuntu9) edgy; urgency=low

  * definitions.sh: Initialise formatted_previously at the right time
    (closes: Malone #66895).
  * init.d/update_partitions, partman-commit: Restore IFS even if a disk has
    no partitions. Fixes missing substitution into confirmation question.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 12:31:22 +0100

partman-base (90ubuntu8) edgy; urgency=low

  * Backport from trunk:
    - init.d/parted: Don't process /dev/md*; partman-md will take care of
      that later, and doing it here means that we sometimes end up with
      duplicate /dev/md0 versus /dev/md/0 entries in the partition tree.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Oct 2006 12:40:35 +0100

partman-base (90ubuntu7) edgy; urgency=low



=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	dh_install visual.d lib/partman
 	dh_install definitions.sh lib/partman
 	dh_install partman bin
+	dh_install partman-commit bin
 	dh_install stralign bin
 	dh_install parted_devices bin
 	dh_install parted_server bin

## partman-base 114ubuntu5

=== Makefile ===
CFLAGS=-Wall -Os -D_GNU_SOURCE
LIBS=-lparted

all: parted_server parted_devices partmap stralign

parted_server: parted_server.c
	$(CC) $(CFLAGS) $(LIBS) parted_server.c -o parted_server

parted_devices: parted_devices.c
	$(CC) $(CFLAGS) $(LIBS) parted_devices.c -o parted_devices

partmap: partmap.c
	$(CC) $(CFLAGS) $(LIBS) partmap.c -o partmap

stralign: stralign.c
	$(CC) $(CFLAGS) stralign.c -o stralign

clean:
	rm -f parted_server parted_devices stralign partmap

.PHONY: clean

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.7-dev (>= 1.7.1-1)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.15)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
XC-Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 114ubuntu6

=== debian/changelog ===
partman-base (114ubuntu6) hardy-proposed; urgency=low

  * Record that CHANGE_FILE_SYSTEM changes the partition table
    (LP: #149832).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Nov 2008 12:40:40 +0000

partman-base (114ubuntu5) hardy; urgency=low

  * Disable swap on all the swap partitions for the device being
    changed, rather than just the ones that will exist after
    partitioning (LP: #218394).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 16 Apr 2008 22:37:00 -0400

partman-base (114ubuntu4) hardy; urgency=low

  * Backport from trunk:
    - Don't emit confusing log messages if partman-lvm or partman-crypto are
      already loaded.
    - Allow disable_swap to take a device argument, in which case it only
      disables swap on that device rather than on all devices.
    - Only disable swap on devices that are being changed (LP: #199048).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2008 00:24:24 +0000

partman-base (114ubuntu3) hardy; urgency=low

  * Backport from trunk:
    - Fix parted_devices check for floppy devices, broken by me in
      partman-base 100 (sorry!).
  * Skip /dev/ccache* devices (LP: #193267).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 15:16:07 +0000

partman-base (114ubuntu2) hardy; urgency=low

  * Backport from trunk (LP: #181296):
    - Support preseeding questions asked through ask_user using the name of
      the plugin responsible for the answer you want (e.g.
      partman-auto/init_automatically_partition=biggest_free).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Feb 2008 12:08:28 +0000

partman-base (114ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Dec 2007 10:51:32 +0000

partman-base (114) unstable; urgency=low

  * Move definitions.sh to ./lib/base.sh. Temporarily provide a symlink to the
    old location to ease the transition.
  * base.sh: add memfree function which returns free memory in kB.
  * Reorganization of partition label related code to partman-partitioning:
    - move function default_disk_label from base.sh to disk-label.sh
    - move init.d/unsupported
    - move partman/*_label templates
    - depend on partman-partitioning (>= 54) so other components can just
      depend on this version of partman-base
    Part of this change was originally suggested by Jérémy Bobbio.
  * Only load components for LVM and crypto support when there is sufficient
    free memory. For crypto this only loads base support components;
    additional crypto components will only be loaded on demand. Support for
    guided (encrypted) LVM partitioning is only loaded if partman-auto was
    already loaded (which it may not be for lowmem installs).

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Tue, 11 Dec 2007 13:45:43 +0100

partman-base (113ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Dec 2007 13:29:43 +0000

partman-base (113) unstable; urgency=low

  [ Frans Pop ]
  * Revert support for erasing encrypted LVM volumes introduced in (106).
    There are too many problems with it and starting fresh seems better
    than stacking change on change to fix it.
  * Don't link against libdl.so.2; according to dpkg-shlibdeps it's not used.

  [ Max Vozeler ]
  * definitions.sh: Provide commit_changes for other partman packages to use
    when they need to commit pending changes to disk.

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Wed, 05 Dec 2007 13:14:53 +0100

partman-base (112) unstable; urgency=low

  * Add support for the Orion (ARM) platform.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:19:46 +0100

partman-base (111ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Nov 2007 17:10:39 +0000

partman-base (111) unstable; urgency=low

  * init.d/umount-target: also unmount /dev/.static/dev/ which may have
    /target/dev/ mounted on it by base-installer (>= 1.85).

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Korean (ko.po) by Sunjae Park
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 19 Nov 2007 11:44:31 +0100

partman-base (110ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Oct 2007 15:38:01 +0100

partman-base (110) unstable; urgency=low

  [ Colin Watson ]
  * Resolve symlinks before looking up devices in /proc/swaps.
  * Minor read_list optimisation using a ${parameter:+word} expansion.
  * Optimise humandev cciss handling a little, fixing a shell syntax error


## partman-base 121ubuntu8

=== debian/changelog ===
partman-base (121ubuntu8) intrepid; urgency=low

  * init.d/parted: Don't skip over dmraid devices if the user chooses not to
    activate them. (LP: #279288)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 15 Oct 2008 09:36:24 +1100

partman-base (121ubuntu7) intrepid; urgency=low

  [ Colin Watson ]
  * Exit straight away if a called script is killed by a signal.
  * Disable backup while displaying device/partition locked errors; it makes
    no sense and it can cause us to exit without closing the FIFO to
    parted_server (LP: #274219).
  * Record that CHANGE_FILE_SYSTEM changes the partition table
    (LP: #149832).

  [ Evan Dandrea ]
  * Exclude devices that have mounted partitions.  Useful for when installing
    from a disk (LP: #276656).  This can be disabled by preseeding
    partman/filter_mounted to false.

 -- Evan Dandrea <evand@ubuntu.com>  Sun, 12 Oct 2008 02:32:41 -0400

partman-base (121ubuntu6) intrepid; urgency=low

  * Merge some updated dmraid partitioning changes, thanks to Frans Pop
    <fjp@debian.org>.
    - base.sh: new function is_multipath_dev.
    - commit.sh: display correct dmraid partition info when confirming
      changes.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 19 Sep 2008 13:52:35 +1000

partman-base (121ubuntu5) intrepid; urgency=low

  * init.d/parted: Set the sataraid flag for dmraid arrays. This code was
    originally in partman-dmraid, which is being retired.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 27 Aug 2008 21:44:21 +1000

partman-base (121ubuntu4) UNRELEASED; urgency=low

  * Add partman/early_command hook to run arbitrary commands immediately
    before partitioning (LP: #239348).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Jul 2008 17:47:55 +0100

partman-base (121ubuntu3) intrepid; urgency=low

  * Add support for explicit 'b' or 'B' suffixes on partition sizes to force
    interpretation as bytes.
  * Add a small test suite for longint2human and human2longint.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Jul 2008 21:00:12 +0100

partman-base (121ubuntu2) intrepid; urgency=low

  * Don't disable /dev/ramzswap* swap devices (thanks, John McCabe-Dansted;
    LP: #193552).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Jul 2008 12:49:48 +0100

partman-base (121ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Skip /dev/ccache* and /dev/ramzswap* devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jun 2008 23:32:32 +0100

partman-base (121) unstable; urgency=low

  [ Frans Pop ]
  * Add divider below "Use as" in ithe partition options dialog. If the
    partition is used for encryption, "Encryption method" will also be
    above the divider. As changing these option changes defaults and what
    other options are available, this provides a useful visual separation.

  [ Otavio Salvador ]
  * Update to GNU Parted 1.8: Change build-depends to libparted1.8-dev

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Mert Dirik
  
 -- Otavio Salvador <otavio@debian.org>  Sat, 21 Jun 2008 17:02:06 -0300

partman-base (120ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Skip /dev/ccache* and /dev/ramzswap* devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 May 2008 10:06:48 +0100

partman-base (120) unstable; urgency=high

  [ Jérémy Bobbio ]
  * Fix partition numbering when confirming changes.  Closes: #481433

  [ Frans Pop ]
  * Urgency high for inclusion in Beta 2 release.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Kurdish (ku.po) by Erdal Ronahi
  * Marathi (mr.po) by Sampada
  * Romanian (ro.po) by Eddy Petrișor
  * Turkish (tr.po) by Mert Dirik

 -- Frans Pop <fjp@debian.org>  Mon, 26 May 2008 12:54:24 +0200

partman-base (119) unstable; urgency=low

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Marathi (mr.po) by Sampada

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:56:43 -0300

partman-base (118) unstable; urgency=low

  [ Frans Pop ]
  * init.d/parted: minor code improvements.
  * Apply patch by Ian Campbell and Ferenc Wagner to improve display of Xen
    virtual disks in partman. With thanks to both. Closes: #474556.
  * In lowmem mode it is possible that newly loaded support for a file system
    is not "seen" because depmod has not been run after loading the kernel
    udeb. Therefore, run depmod when partman is started.
    Also fixes missing file system support (including ext2/3) for s390.

  [ Evan Dandrea ]
  * Disable swap on all the swap partitions for the device being changed,
    rather than just the ones that will exist after partitioning
    (LP: #218394).

  [ Colin Watson ]
  * Fix error message in NEW_PARTITION (partition type, not label type).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÁC Attila


=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.7-dev (>= 1.7.1-1)
+Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.8-dev
 XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,17 @@
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-PACKAGE=partman-base
+export PACKAGE=partman-base
 
 PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab
 
-MENUITEMNUM=42
+MENUITEMNUM=4200
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE)
+	cd test && ./conversions
 	touch build-stamp
 
 clean:
@@ -31,6 +32,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	# Install hooks into partman-base udeb
 	debian/install-rc choose_partition
 	debian/install-rc storage_device
 	debian/install-rc active_partition
@@ -41,18 +43,12 @@
 	debian/install-rc finish.d
 	debian/install-rc update.d
 	debian/install-rc valid_visuals.d
-	dh_install visual.d lib/partman
-	dh_install definitions.sh lib/partman
-	dh_install partman bin
-	dh_install partman-commit bin
-	dh_install stralign bin
-	dh_install parted_devices bin
-	dh_install parted_server bin
-	rm -rf `find debian/$(PACKAGE) -name .svn`
+	debian/install-rc display.d
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_install
 	dh_installdebconf
 	cp debian/isinstallable debian/${PACKAGE}/DEBIAN/
 	dh_strip
